Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Не могу установить пакет ia32-libs  (Прочитано 2583 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Грендайзер

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Не могу установить пакет ia32-libs
« : 16 Август 2017, 19:50:16 »
Здравствуйте. Пытаюсь установить Questasim10.4с. Пишу в терминале:
sudo ./install.linux64
В ответ получаю сообщение:
sudo: ./install.linux64: команда не найдена
Порылся в интернете и прочитал, что необходимо установить пакет ia32-libs.
Пишу:
sudo apt-get install ia32-libsВ ответ получаю:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет ia32-libs недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
Однако следующие пакеты могут его заменить:
  lib32ncurses5 lib32z1

E: Для пакета «ia32-libs» не найден кандидат на установку
Как я понял, это какая то библиотека для 32-х разрядных приложений, которая вроде как больше не поддерживается. Но как в таком случае быть?

ТС не появлялся на Форуме более полугода по состоянию на 21/11/2019 (последняя явка: 31/03/2019). Модератором раздела принято решение закрыть тему.
--zg_nico
« Последнее редактирование: 21 Ноябрь 2019, 18:40:54 от zg_nico »
"при 300% (прибыли) нет такого преступления, на которое он (капитал) не рискнул бы, хотя бы под страхом виселицы..."

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13508
  • Xubuntu 18.04
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #1 : 16 Август 2017, 19:53:37 »
Грендайзер,
Не надо вам ia32-libs скорее всего, так как вы ставите 64-битное приложение.
А "команда не найдена" потому, что в той директории откуда вы ее выполняете нет файла install.linux64.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Грендайзер

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #2 : 16 Август 2017, 20:09:57 »
Цитировать
А "команда не найдена" потому, что
Да в том то и дело, что директорию я поменял. Вот здесь https://tenthousandfailures.com/blog/2014/2/1/installing-mentor-questa-on-ubuntu, один товарищ пишет, что нужно установить этот пакет. Правда он устанавливает 32-х разрядную версию, но на каком то другом сайте(не помню где) описывалась установка именно 64-х разрядной версии, и опять таки говорилось, что этот пакет надо установить.
"при 300% (прибыли) нет такого преступления, на которое он (капитал) не рискнул бы, хотя бы под страхом виселицы..."

Оффлайн ReNzRv

  • Старожил
  • *
  • Сообщений: 2628
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #3 : 16 Август 2017, 20:46:17 »
ls -l install.linux64?

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13508
  • Xubuntu 18.04
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #4 : 16 Август 2017, 20:55:03 »
Грендайзер,
Вы для начала сумейте скрипт установки запустить, а там будет видно что нужно, а что нет.

Пользователь добавил сообщение 16 Август 2017, 20:55:27:
Да в том то и дело, что директорию я поменял.
Значит плохо поменяли.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Грендайзер

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #5 : 16 Август 2017, 20:57:30 »
ls -l install.linux64?
Скачал другую версию, та же проблема.
-rw-r--r-- 1 igor igor 42769421 авг 16 20:13 install.linuxВот для первой версии
-rw-rw-r-- 1 igor igor 49602885 июл 29  2016 install.linux64
Цитировать
Вы для начала сумейте скрипт установки запустить
Дык я и сам не против, но никак...
« Последнее редактирование: 16 Август 2017, 21:00:27 от Грендайзер »
"при 300% (прибыли) нет такого преступления, на которое он (капитал) не рискнул бы, хотя бы под страхом виселицы..."

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13508
  • Xubuntu 18.04
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #6 : 16 Август 2017, 21:01:12 »
Грендайзер,
Ну ясно же всё. Не надо 32-битную.
Сделайте

chmod +x install.linux64
sudo ./install.linux64
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Грендайзер

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #7 : 16 Август 2017, 21:04:49 »
Цитировать
Ну ясно же всё
Честно говоря, я уже менял права доступа. Вот такая ерунда появляется
Unable to access TEMP folder at path /usr/tmp
"при 300% (прибыли) нет такого преступления, на которое он (капитал) не рискнул бы, хотя бы под страхом виселицы..."

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13508
  • Xubuntu 18.04
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #8 : 16 Август 2017, 21:08:39 »
Грендайзер,
Надо скрипт смотреть. В Ubuntu нет /usr/tmp. Можно в скрипте путь поменять.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Грендайзер

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #9 : 16 Август 2017, 21:17:24 »
Большое спасибо за помощь, товарищи!!! Я допёр:
cd /usr/
sudo mkdir tmp
:2funny:
"при 300% (прибыли) нет такого преступления, на которое он (капитал) не рискнул бы, хотя бы под страхом виселицы..."

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13508
  • Xubuntu 18.04
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #10 : 16 Август 2017, 21:18:43 »
Грендайзер,
Ну можно и так. Но я бы поменял в скрипте путь.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Грендайзер

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #11 : 16 Август 2017, 21:23:17 »
Цитировать
Ну можно и так.
А вы скриптом называете именно файл install.linux64?
"при 300% (прибыли) нет такого преступления, на которое он (капитал) не рискнул бы, хотя бы под страхом виселицы..."

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13508
  • Xubuntu 18.04
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #12 : 16 Август 2017, 21:25:41 »
А вы скриптом называете именно файл install.linux64?
Ну да. Это же скрипт или нет?
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Грендайзер

  • Автор темы
  • Новичок
  • *
  • Сообщений: 42
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #13 : 16 Август 2017, 21:29:35 »
Ммм... мне кажется, что нет, т.к. его содержимое мне посмотреть не удаётся. Во всяком случае при попытке открыть обычными методами - средствами totalcommander или блакнотом вылазят кракозябры. И мне кажется, что дело не в кодировке. Хотя... попробую потом в винде глянуть.
"при 300% (прибыли) нет такого преступления, на которое он (капитал) не рискнул бы, хотя бы под страхом виселицы..."

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13508
  • Xubuntu 18.04
    • Просмотр профиля
Re: Не могу установить пакет ia32-libs
« Ответ #14 : 16 Август 2017, 21:33:42 »
Ну значит не скрипт. Тогда только так.
Я в личке не консультирую. Вопросы задавайте на форуме.

 

Страница сгенерирована за 0.135 секунд. Запросов: 23.